document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_12500 | ---
+++
@@ -1,3 +1,3 @@
-export ANDROID_HOME=~/Library/Android/sdk
-export PATH=${PATH}:${ANDROID_HOME}/tools
-export PATH=${PATH}:${ANDROID_HOME}/platform-tools
+export ANDROID_SDK_ROOT=$HOME/Library/Android/sdk
+export PATH=$PATH:$ANDROID_SDK_ROOT/emulator
+export PATH=$PATH:$ANDROID_SDK_ROOT/platform-tools | bash |
d_bash_12501 | ---
+++
@@ -36,8 +36,8 @@
fi
# clean up stray python bytecode
-find $basedir -iname '*.pyc' -exec rm {} \;
-find $basedir -iname '__pycache__' -exec rmdir {} \;
+find $basedir -iname '*.pyc' -exec rm {} \+
+find $basedir -iname '__pycache__' -exec rmdir {} \+
# run style check
$basedir/pep-it.sh | tee "$outdi... | bash |
d_bash_12502 | ---
+++
@@ -1,9 +1,9 @@
#!/bin/bash
# Summary:
-# This script will change all .jpg images collected in the Winter, Summer, Autumn and Spring folders
-# to 80% quality and a width of 300 pixels while keeping original ratio. Files are renamed with
-# increasing numbers per folder.
+# This script will cha... | bash |
d_bash_12503 | ---
+++
@@ -11,9 +11,9 @@
PATH=$PREFIX/bin:$PATH
wget https://github.com/mono/mono/archive/mono-4.8.0.478.tar.gz
-tar --checkpoint -zxf mono-4.8.0.478.tar.gz
-mv mono* mono
-cd mono
+tar -zxf mono-4.8.0.478.tar.gz
+rm mono-4.8.0.478.tar.gz
+cd mono-mono-4.8.0.478
./autogen.sh --prefix=$PREFIX
make
make install | bash |
d_bash_12504 | ---
+++
@@ -1,3 +1,16 @@
#!/bin/bash
+# Copyright 2019 Google Inc. All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE... | bash |
d_bash_12505 | ---
+++
@@ -26,7 +26,7 @@
}
# Docker
-alias compose='docker-compose'
+alias compose='docker compose'
alias test-compose='compose -f /Users/mario/Code/yodel/yodel/docker-compose.test.yml'
alias bu='bundle update' | bash |
d_bash_12506 | ---
+++
@@ -1,9 +1,21 @@
-#!/bin/sh
+#!/bin/bash
# Remove pdb uses
-sed -i '/.*import pdb/d' $1
-sed -i '/.*pdb.set_trace/d' $1
+if grep -q "import .*pdb" $1; then
+ sed -i '/.*import .*pdb/d' $1
+fi
+if grep -q "pdb.set_trace" $1; then
+ sed -i '/.*pdb.set_trace/d' $1
+fi
-isort $1
-black $1
+# Get rid ... | bash |
d_bash_12507 | ---
+++
@@ -18,8 +18,6 @@
W=$(echo "$Q" | sed -e 's/.*\/quotes\///g' -e 's/<.*//g' -e 's/.*">//g')
if [ "$W" -a "$TXT" ]; then
echo "${WHO_COLOR}${W}${COLON_COLOR}: ${TEXT_COLOR}“${TXT}”${END_COLOR}"
- # else
- # quote
fi
}
#quote | bash |
d_bash_12508 | ---
+++
@@ -22,4 +22,4 @@
Rscript runCsaw.R ../blastmapper/blastmapper.sorted.bam ../hisat/hisat.sorted.bam ../star/star.sorted.bam ../bwa/bwa.sorted.bam
cd /home/ubuntu/bamdiff
-./bamDiff.py ../csaw/csaw.bam.results.csv ../hisat/hisat.sorted.bam ../star/star.sorted.bam > hisatVSstar
+./bamDiff.py ../csaw/csaw.ba... | bash |
d_bash_12509 | ---
+++
@@ -17,7 +17,6 @@
cd $SHADE_DIR
sudo chown -R jenkins:stack $SHADE_DIR
-sudo rm -f ~jenkins/.config/openstack/clouds.yaml
CLOUDS_YAML=/etc/openstack/clouds.yaml
# Devstack runs both keystone v2 and v3. An environment variable is set | bash |
d_bash_12510 | ---
+++
@@ -29,8 +29,10 @@
PATHS+=($BASE_DIR/testcase/$testcase*)
done
/bin/bash ../testosteron/testosteron runsome ${PATHS[@]}
+ TESTOSTERON_EXIT_CODE=$?
else
/bin/bash ../testosteron/testosteron rundir $BASE_DIR/testcase
+ TESTOSTERON_EXIT_CODE=$?
fi
if [ -f "$BASE_DIR/docker-comp... | bash |
d_bash_12511 | ---
+++
@@ -16,7 +16,7 @@
"config": {
"connector.class": "org.apache.kafka.connect.file.FileStreamSourceConnector",
"tasks.max": "1",
- "topic": "logs-${LOGS[$i]}",
+ "topic": "logs_${LOGS[$i]}",
"file":"/var/log/${LOGS[$i]}.log"
}
} | bash |
d_bash_12512 | ---
+++
@@ -7,6 +7,22 @@
# Mac OS X -- nothing to do
:
else
+
+ PAM_COMMON_SESSION_FILE=/etc/pam.d/common-session
+ if [ ! -f "$PAM_COMMON_SESSION_FILE" ]; then
+ echo "PAM common-session file does not exist at $PAM_COMMON_SESSION_FILE"
+ exit 1
+ fi
+ if ! grep -q "pam_limits.so"... | bash |
d_bash_12513 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# django-helpdesk shell script to upload to pypi.
WORKDIR=/tmp/django-helpdesk-build.$$ | bash |
d_bash_12514 | ---
+++
@@ -9,11 +9,21 @@
export PAGER="less"
export LESS="-R"
-export LC_CTYPE=$LANG
-
## super user alias
alias _='sudo'
alias please='sudo'
## more intelligent acking for ubuntu users
alias afind='ack-grep -il'
+
+## how to interpret text characters
+if [[ -z "$LC_CTYPE" && -z "$LC_ALL" ]]; then # only ... | bash |
d_bash_12515 | ---
+++
@@ -2,6 +2,9 @@
GIT_SHA1=`(git show-ref --head --hash=8 2> /dev/null || echo 00000000) | head -n1`
GIT_DIRTY=`git diff --no-ext-diff 2> /dev/null | wc -l`
BUILD_ID=`uname -n`"-"`date +%s`
+if [ -n "$SOURCE_DATE_EPOCH" ]; then
+ BUILD_ID=$(date -u -d "@$SOURCE_DATE_EPOCH" +%s 2>/dev/null || date -u -r "$SO... | bash |
d_bash_12516 | ---
+++
@@ -2,8 +2,8 @@
sudo apt-get --force-yes install libopenal-dev libconfuse-dev libpng-dev libenet-dev libogg-dev libvorbis-dev libasound2-dev libxss-dev libpulse-dev
-# remove the 2 lines below and add libsdl2-static-dev to apt-get if travis updates sdl to 2.0.1+
-wget http://libsdl.org/release/SDL2-2.0.1... | bash |
d_bash_12517 | ---
+++
@@ -10,6 +10,8 @@
-subj "/C=XX/ST=XX/L=XX/O=dockergenerated/CN=dockergenerated"
fi
+# Create the hash to pass to the IPython notebook, but don't export it so it doesn't appear
+# as an environment variable within IPython kernels themselves
HASH=$(python -c "from IPython.lib import passwd; print(passw... | bash |
d_bash_12518 | ---
+++
@@ -3,7 +3,7 @@
mkdir /tmp/build
cd /tmp/build
-cmake -DCUSTOM_ALLOC=$CUSTOM_ALLOC -DCMAKE_BUILD_TYPE=Debug $SOURCE
+cmake -DCUSTOM_ALLOC=$CUSTOM_ALLOC -DCMAKE_BUILD_TYPE=Debug -DCOVERAGE=ON $SOURCE
make
ctest -V
ctest -T memcheck | tee memcheck.out
@@ -11,7 +11,7 @@
exit 1
fi
-env
-
-lcov --co... | bash |
d_bash_12519 | ---
+++
@@ -6,6 +6,9 @@
fi
if [[ -z "$KAFKA_BROKER_ID" ]]; then
+ if [[ -z "$KUBERNETS_UID" ]]; then
+ export KUBERNETS_UID=$HOSTNAME
+ fi
echo "Generate Kafka Broker ID: for $KUBERNETS_UID"
ID=`$KAFKA_HOME/bin/kafka-run-class.sh kafka.admin.AutoExpandCommand --zookeeper=127.0.0.1:2181 -broker=$KUBERNETS_... | bash |
d_bash_12520 | ---
+++
@@ -4,6 +4,7 @@
$SHELL --version
/bin/bash --version
+parallel /bin/echo ::: tests/*
count=0
failed=0 | bash |
d_bash_12521 | ---
+++
@@ -1 +1,5 @@
-export EDITOR='subl'
+# Only set this if we haven't set $EDITOR up somewhere else previously.
+if [ "$EDITOR" == "" ] ; then
+ # Use sublime for my editor.
+ export EDITOR='subl'
+fi | bash |
d_bash_12522 | ---
+++
@@ -11,4 +11,6 @@
alias gr='cd $(git root)'
export EDITOR=vim
+
+alias ls='ls -Gh'
alias subs='filebot -get-subtitles' | bash |
d_bash_12523 | ---
+++
@@ -1,4 +1,10 @@
#!/bin/bash
+
+if [[ ! -z "${CI_COMMIT_TAG}" ]]; then
+ EVOK_VERSION=${CI_COMMIT_TAG}
+else
+ EVOK_VERSION=$(/ci-scripts/generate-new-tag-for-test.sh)
+fi
#Filter
echo "Current GIT status before filtering:"
@@ -19,6 +25,11 @@
#git push --mirror git@github.com:martyy665/ekvok.git
+... | bash |
d_bash_12524 | ---
+++
@@ -2,7 +2,8 @@
./configure --prefix=${PREFIX} \
--host="${HOST}" \
- --build="${BUILD}"
+ --build="${BUILD}" \
+ --enable-cxxstd=11
make -j ${CPU_COUNT}
make install | bash |
d_bash_12525 | ---
+++
@@ -8,18 +8,15 @@
if (($1 == 0)); then
pretty_status=OK;
else
- local name;
local number;
+
+ pretty_status="ERROR $1"
if (($1 > 128)); then
number=$(($1 - 128));
- name=${SIGNAL_NAME[$number]};
- fi
-
- if [ -z $name ]... | bash |
d_bash_12526 | ---
+++
@@ -7,8 +7,8 @@
yo jhipster --force --no-insight
# generate entities
-for f in `ls .jhipster` do yo jhipster:entity ${f%.*} --force ; done
-for f in `ls *.jh *.jdl` do yo jhipster:import-jdl ${f%.*} --force ; done
+for f in `ls .jhipster` ; do yo jhipster:entity ${f%.*} --force ; done
+for f in `ls *.jh *... | bash |
d_bash_12527 | ---
+++
@@ -1,6 +1,6 @@
: "${GOPATH:="$WORKDIR"}"
-: "${GOBIN:="$WORKDIR"}"
+: "${GOBIN:="${GOPATH}/bin"}"
PATH=${PATH}:/usr/local/go/bin:${GOBIN}
export GOPATH GOBIN PATH
| bash |
d_bash_12528 | ---
+++
@@ -3,3 +3,9 @@
# Installed to home directory.
pathaddstart "$HOME/opt/bin"
+
+# Personal bin.
+# XXX(2016-01-02): This seems to be added to the path for the first,
+# say, tmux pane, by something else, but later panes don't have it.
+# Adding it here so that the directory is always on the path.
+path... | bash |
d_bash_12529 | ---
+++
@@ -3,10 +3,10 @@
if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then
echo -e "Build Pull Request #$TRAVIS_PULL_REQUEST => Branch [$TRAVIS_BRANCH]"
- ./gradlew build
+ ./gradlew test
elif [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_TAG" == "" ]; then
echo -e 'Build Branch with Snapshot => Branc... | bash |
d_bash_12530 | ---
+++
@@ -22,6 +22,13 @@
)
+# (2) Suffix Aliases ---------------------------------------------------- {{{1
+
+alias -s log="tail -f" # Open log files with tail
+alias -s md="c" # Display the contents of a markdown file in bat/cat
+alias -s txt="c" # Display the contents of a text file in bat/cat
+... | bash |
d_bash_12531 | ---
+++
@@ -16,7 +16,7 @@
wget --quiet ${CONDA_URL} -O miniconda.sh
/bin/bash miniconda.sh -b -p ${CONDA_HOME}
rm miniconda.sh
-${CONDA_HOME}/bin/conda install --yes conda==3.10.1
+${CONDA_HOME}/bin/conda install --yes conda
export PATH=${CONDA_HOME}/bin:$PATH
# Configure conda to use Jess' binstar channel | bash |
d_bash_12532 | ---
+++
@@ -9,6 +9,5 @@
export VISUAL="$EDITOR"
alias q="$EDITOR"
-alias q.="q ."
alias qv="q $DOTFILES/link/.{,g}vimrc"
alias qs="q +'cd $DOTFILES'" | bash |
d_bash_12533 | ---
+++
@@ -6,10 +6,10 @@
grunt
- cp $BASE_DIR/../js-build/forms-angular.min.js $BASE_DIR/../../$1/app/components/forms-angular/forms-angular.min.js
- cp $BASE_DIR/../js-build/forms-angular.js $BASE_DIR/../../$1/app/components/forms-angular/forms-angular.js
+ cp $BASE_DIR/../js-build/forms-angular.... | bash |
d_bash_12534 | ---
+++
@@ -8,6 +8,6 @@
# read userAgent from property file
. ./userAgent.property.sh
-curl -# --user-agent "$userAgent" "$url" > "$file"
+curl --silent --show-error --user-agent "$userAgent" "$url" > "$file"
cp *.xml .. | bash |
d_bash_12535 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
/usr/sbin/httpd -k start
-/usr/local/nagios/bin/nagios -d /config/nagios.cfg
+/usr/local/nagios/bin/nagios -d /usr/local/nagios/etc/nagios.cfg
echo 'Waiting for Nagios to start'
until [ -s /data/status.dat ]; do | bash |
d_bash_12536 | ---
+++
@@ -4,7 +4,7 @@
do
d=$( date +%Y-%m-%d-%H-%M-%S )
echo "Analysis started at $d"
- ./run-laptop.sh edu.berkeley.cs.amplab.carat.CaratDynamoDataAnalysis DEBUG \
+ ./run-laptop.sh edu.berkeley.cs.amplab.carat.CaratNoRDDAnalysis \
&> "carat-dynamo-data-analysis-log-$d.txt"
d=$( date +%Y-%m-%d-%H-%M... | bash |
d_bash_12537 | ---
+++
@@ -8,7 +8,6 @@
$JAVACMD org.objectweb.proactive.examples.c3d.C3DUser
-killall java
echo
echo --------------------------------------------------------- | bash |
d_bash_12538 | ---
+++
@@ -19,8 +19,17 @@
execute "defaults write -g KeyRepeat -int 1" \
"Set the key repeat rate to fast"
-execute "defaults write -g NSAutomaticQuoteSubstitutionEnabled -bool false" \
- "Disable smart quotes"
+execute "defaults write NSGlobalDomain NSAutomaticCapitalizationEnabled -bool false" \
+ "D... | bash |
d_bash_12539 | ---
+++
@@ -19,4 +19,4 @@
EOF
cd /opt/alaveteli
-bundle exec rake themes:install
+script/rails-post-deploy | bash |
d_bash_12540 | ---
+++
@@ -27,6 +27,11 @@
"
)
+# Export config dir for server installs.
+if [[ -d '/etc/argumenta' ]]; then
+ export CONFIG_DIR='/etc/argumenta'
+fi
+
#
# Gets command line options.
# | bash |
d_bash_12541 | ---
+++
@@ -1,5 +1,5 @@
if [ $GUILLIMIN ]; then
- for file in *.guigui
+ for file in $ZSH/guillimin/*.guigui
do
source $file
done | bash |
d_bash_12542 | ---
+++
@@ -12,15 +12,18 @@
# ensures that other eggs are not found
export PYTHONPATH=''
- # downloads setuptools
- mayapy -c "import ez_setup; ez_setup.use_setuptools(); import setuptools.command.easy_install"
- # setuptools is hardwired to look for "python2.6" on PATH
- ln -s "$1/bin/mayapy"... | bash |
d_bash_12543 | ---
+++
@@ -13,11 +13,9 @@
-swf-version=11 -output FRESteamWorksLib.swc
unzip -o FRESteamWorksLib.swc
+trap "rm -f library.swf catalog.xml" EXIT
"$AIR_SDK"/bin/adt -package -target ane FRESteamWorks.ane descriptor.xml \
-swc FRESteamWorksLib.swc \
-... | bash |
d_bash_12544 | ---
+++
@@ -18,15 +18,16 @@
source /etc/nodepool/provider
-cat >/home/jenkins/.pip/pip.conf <<EOF
-[global]
-index-url = http://pypi.$NODEPOOL_REGION.openstack.org/simple
-EOF
+# BH: Temporarily overwrite consumption of pypi cache in Tesora's downstream
+#cat >/home/jenkins/.pip/pip.conf <<EOF
+#[global]
+#index... | bash |
d_bash_12545 | ---
+++
@@ -10,7 +10,7 @@
for i in `seq 1 $TIMEOUT`
do
- if [ `netstat -nl 2>/dev/null | grep [\:\.]${SERVICE_PORT:="8080"} | wc -l` -gt 0 ]
+ if [ `lsof -nt -i4TCP:${SERVICE_PORT:="8080"} | wc -l` -gt 0 ]
then
return 0
fi | bash |
d_bash_12546 | ---
+++
@@ -1,26 +1,50 @@
#!/bin/bash
-OUR_DIR=$(dirname $_)
+OUR_DIR=$(dirname $0)
. $OUR_DIR/build-common.sh
-if [[ -v MVN_RELEASE_VER ]]; then
+do_release() {
+ check_var MVN_RELEASE_TAG
+ check_var MVN_RELEASE_DEV_VER
+ check_var MVN_RELEASE_USER_EMAIL
+ check_var MVN_RELEASE_USER_NAME
+ resolve_vars
... | bash |
d_bash_12547 | ---
+++
@@ -35,13 +35,13 @@
# Check that name of conference is spelt correctly.
###
-echo " *** Checking that conference name is spelt correctly"
+# echo " *** Checking that conference name is spelt correctly"
-grep -e "Pycon UK" -e "pycon UK" -e "pyconUK" -e "PyConUK" --line-number --recursive --include "*.htm... | bash |
d_bash_12548 | ---
+++
@@ -27,7 +27,7 @@
# Upload the tar bz
$TB_COMMAND -s . --sync --pattern-match ".*\.gpg"
# Upload the index file
- md5sum *.gpg | sort -t- -k4,5n > index.txt
+ md5sum *.gpg | sort -t- -k3,3V -k4,4n > index.txt
cat index.txt
$TB_COMMAND -s . --sync --pattern-match "index.txt"
) | bash |
d_bash_12549 | ---
+++
@@ -5,5 +5,6 @@
git add .
git commit -m init
-touch .key
-echo Please edit .key file.
+echo -n "Please input a keyword.>>>"
+read KEY
+echo $KEY >.keytest | bash |
d_bash_12550 | ---
+++
@@ -5,7 +5,6 @@
elm package install
-elm make src/BranchManager.elm --output extension/js/popup.js
-elm make src/OptionsEditor.elm --output extension/js/options.js
-
+elm make src/BranchManager.elm --output extension/js/popup.js &&
+elm make src/OptionsEditor.elm --output extension/js/options.js &&
echo... | bash |
d_bash_12551 | ---
+++
@@ -7,5 +7,6 @@
then
echo "II Installing Node.js v4.2.1"
nvm install v4.2.1
+ nvm alias default 4.2.1
fi
cd - > /dev/null | bash |
d_bash_12552 | ---
+++
@@ -16,4 +16,5 @@
-Djava.util.logging.manager=org.apache.logging.log4j.jul.LogManager \
-Dlog4j.configurationFile=/etc/wavefront/wavefront-proxy/log4j2.xml \
-jar /opt/wavefront/wavefront-proxy/bin/wavefront-push-agent.jar \
- -f /etc/wavefront/wavefront-proxy/wavefront.conf
+ -f /etc/wavefront/wavefron... | bash |
d_bash_12553 | ---
+++
@@ -1,7 +1,9 @@
#!/bin/sh
+jagen_target_system="arm-hisiv200-linux-gnueabi"
+
jagen_target_arch="arm"
-jagen_target_system="${jagen_target_arch}-hisiv200-linux-gnueabi"
+jagen_target_cpu="cortex-a9"
jagen_target_toolchain="arm-hisiv200-linux"
jagen_target_toolchain_dir="${jagen_toolchains_dir:?}/${jag... | bash |
d_bash_12554 | ---
+++
@@ -3,10 +3,10 @@
case "$1" in
java17)
- echo "https://github.com/bell-sw/Liberica/releases/download/17.0.4+8/bellsoft-jdk17.0.4+8-linux-amd64.tar.gz"
+ echo "https://github.com/bell-sw/Liberica/releases/download/17.0.4.1+1/bellsoft-jdk17.0.4.1+1-linux-amd64.tar.gz"
;;
java18)
- echo "https://gith... | bash |
d_bash_12555 | ---
+++
@@ -14,7 +14,7 @@
__process_msg "Current service image : $current_service_image"
__process_msg "Updating service $service_name with image $service_image"
- local update_command="sudo docker service update \
+ local update_command="sudo docker service update --with-registry-auth\
--image $servic... | bash |
d_bash_12556 | ---
+++
@@ -1,6 +1,6 @@
VERSION=2.5.0
TAR=https://downloads.sourceforge.net/project/prboom/prboom%20stable/$VERSION/prboom-$VERSION.tar.gz
-BUILD_DEPENDS=(sdl liborbital)
+BUILD_DEPENDS=(sdl liborbital sdl_mixer libogg libvorbis)
function recipe_version {
echo "$VERSION"
@@ -9,6 +9,7 @@
function recipe_b... | bash |
d_bash_12557 | ---
+++
@@ -6,10 +6,10 @@
mongod --dbpath=/var/lib/mongodb --smallfiles &
while true; do
if mongo --eval "db.stats()" > /dev/null; then
+ break
+ else
echo "waiting for mongodb..."
sleep 2
- else
- break
fi
done
fi | bash |
d_bash_12558 | ---
+++
@@ -3,7 +3,7 @@
workdir=`pwd`
cd ${workdir}/sts4/headless-services
-./mvnw -DskipTests package
+./mvnw -Dtycho.disableP2Mirrors=true -DskipTests package
timestamp=`date +%s`
tarfile=${workdir}/out/sts4-mvn-cache-${timestamp}.tar.gz | bash |
d_bash_12559 | ---
+++
@@ -1,3 +1,5 @@
+source String/Util/StringUtil.sh
+
ArrayUtil(){
appendArrayEntry(){
local array=($@)
@@ -16,6 +18,11 @@
done
echo ${newArray[@]}
+ }
+
+ convertStringToArray(){
+ local string=${1}
+ StringUtil replace ${string} , space
}
flipArray(){ | bash |
d_bash_12560 | ---
+++
@@ -8,4 +8,4 @@
exit 1
fi
-rsync --whole-file --executability --exclude="*.git" --exclude="etc/app/config.php" --exclude="*.swp" --exclude=".DS_Store" --exclude=".vagrant" --delete --verbose --inplace --cvs-exclude --checksum --recursive --human-readable $@
+rsync --whole-file --executability --exclud... | bash |
d_bash_12561 | ---
+++
@@ -1,6 +1,4 @@
-#!/bin/bash
-
-set -xe
+#!/bin/bash -xe
# Mostly from https://github.com/japaric/rust-everywhere
# Load the correct rust if it's not already there
@@ -11,23 +9,7 @@
i686-apple-darwin | \
i686-unknown-linux-gnu | \
x86_64-unknown-linux-musl)
- if test "$TRAVIS_RUST_VERSION" = "... | bash |
d_bash_12562 | ---
+++
@@ -3,3 +3,21 @@
# pasting with tabs doesn't perform completion
zstyle ':completion:*' insert-tab pending
+
+## case-insensitive (all),partial-word and then substring completion
+if [ "x$CASE_SENSITIVE" = "xtrue" ]; then
+ zstyle ':completion:*' matcher-list 'r:|[._-]=* r:|=*' 'l:|=* r:|=*'
+ unset CASE... | bash |
d_bash_12563 | ---
+++
@@ -1,5 +1,5 @@
function svn_prompt_info {
- if [[ -d .svn ]]; then
+ if [ in_svn ]; then
echo "$ZSH_PROMPT_BASE_COLOR$ZSH_THEME_SVN_PROMPT_PREFIX\
$ZSH_THEME_REPO_NAME_COLOR$(svn_get_repo_name)$ZSH_PROMPT_BASE_COLOR$ZSH_THEME_SVN_PROMPT_SUFFIX$ZSH_PROMPT_BASE_COLOR$(svn_dirty)$ZSH_PROMPT_BAS... | bash |
d_bash_12564 | ---
+++
@@ -1,2 +1,2 @@
#! /bin/sh
-$XGETTEXT *.cpp -o $podir/kateinsertcommand.pot
+$XGETTEXT *.cpp *.h -o $podir/kateinsertcommand.pot | bash |
d_bash_12565 | ---
+++
@@ -1,6 +1,13 @@
#!/bin/bash
+#
+# Installs the VirtualBox guest additions
set -e
+
+# Only run this script if actually running a VirtualBox build
+if [ "${PACKER_BUILDER_TYPE}" != "virtualbox-iso"] && [ "${PACKER_BUILDER_TYPE}" != "virtualbox-ovf"]; then
+ exit 0
+fi
# Install dependencies
yum -y ... | bash |
d_bash_12566 | ---
+++
@@ -3,5 +3,5 @@
VENV_DIR=/herc_venv
source $VENV_DIR/bin/activate
-herc
+herc --debug
deactivate | bash |
d_bash_12567 | ---
+++
@@ -17,3 +17,4 @@
# Aliases
alias kc=kubectl
+alias kcimages="kubectl get pods -o jsonpath='{range .items[*]}{.metadata.name} ({.status.phase}){\"\\n\"}{.spec.containers[*].image}{\"\\n\\n\"}{end}'" | bash |
d_bash_12568 | ---
+++
@@ -2,3 +2,4 @@
cp -v config/resque.yml.sample config/resque.yml
cp -v config/monit.yml.sample config/monit.yml
cp -v config/workers.yml.sample config/workers.yml
+cp -v config/elasticsearch.yml.sample config/elasticsearch.yml | bash |
d_bash_12569 | ---
+++
@@ -5,7 +5,7 @@
mv ./packer/packer /usr/local/bin/packer
installed_packer_version="$(packer --version)"
-if [ "$PACKER_VERSION" == "$installed_packer_version" ]; then
+if [ "$PACKER_VERSION" = "$installed_packer_version" ]; then
echo "Packer Version: $installed_packer_version"
else
packer_path="$(w... | bash |
d_bash_12570 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
if [ "$DB" = "database.yml.mysql" ]; then
- echo "gem 'mysql2', '~> 0.4.0'" >> Gemfile
+ echo "gem 'mysql2', '~> 0.3.13'" >> Gemfile
bundle
fi | bash |
d_bash_12571 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
cov-build --dir cov-int mvn -DskipTests=true clean package
-cov-emit-java --dir cov-int --skip-war-sanity-check --war willow-servers/target/willow-servers-1.1-SNAPSHOT-uber.jar
+cov-emit-java --dir cov-int --skip-war-sanity-check --war willow-servers/target/willow-servers-1.3.0... | bash |
d_bash_12572 | ---
+++
@@ -13,12 +13,13 @@
HEIGHT=1440
downloadRandomImage() {
- # pick a random image from the ones available for this resolution
- IMAGE_ID=$(curl -Ls -w "%{url_effective}" -o /dev/null "https://picsum.photos/$WIDTH/$HEIGHT/?random" | grep -o "[0-9]\+$")
- # Download the chosen image
- curl -JL -o ... | bash |
d_bash_12573 | ---
+++
@@ -1,3 +1,4 @@
#!/bin/bash
+docker rm hal-wildfly
docker run -p 8080:8080 -p 9990:9990 -d --name hal-wildfly halconsole/hal-wildfly /opt/jboss/wildfly/bin/standalone.sh -c standalone-full-ha-insecure.xml -b 0.0.0.0 -bmanagement 0.0.0.0 | bash |
d_bash_12574 | ---
+++
@@ -4,7 +4,7 @@
sudo apt-get remove unity-lens-shopping unity-scope-musicstores
# Install packages
-# sudo apt-get install git python-dev build-essential libjpeg-dev libpng12-dev zsh gnome-shell synapse gparted gimp ubuntu-restricted-extras vlc ttf-mscorefonts-installer sqlite ruby quicksynergy postgresql... | bash |
d_bash_12575 | ---
+++
@@ -1,4 +1,5 @@
-status_code=$(curl --write-out %{http_code} "http://counter.born2code.net/foo")
+status_code=$(curl --write-out %{http_code} --silent "http://counter.born2code.net/foo")
if [ $status_code -ne 200 ]; then
fail "Deploy failure: site returned $status_code, 200 was expected";
fi
+success 'Po... | bash |
d_bash_12576 | ---
+++
@@ -1,6 +1,7 @@
alias pyweb='python -m SimpleHTTPServer'
alias mrs='./manage.py runserver'
alias ms='./manage.py shell'
+alias ipython='python /usr/bin/ipython'
validatejson() {
cat $1 | python -m simplejson.tool | bash |
d_bash_12577 | ---
+++
@@ -20,17 +20,26 @@
guest_user=$user
fi
-### (on GUEST) ###
+# host
+sudo bash <<EOF
+virsh destroy --domain ${image}
+cp /vmdata/storage/${image}.img /vmdata/storage/${image}.img.backup
+virsh start --domain ${image}
+sleep 60
+EOF
+
+# guest
ssh -T $guest_user@$guest<<EOSSH
sudo dd if=/dev/zero of=/m... | bash |
d_bash_12578 | ---
+++
@@ -1,12 +1,12 @@
-# PROMPT='%{$fg_bold[green]%}%n@%m%{$reset_color%}:%{$fg_bold[blue]%}${PWD/#$HOME/~}%{$reset_color%}'
-
-# ZSH checks to see if oh-my-zsh is installed
-
-[ -z "${ZSH}" ] && return 1
function __create_prompt() {
local generated_prompt=''
+ if [ -z "$fg_bold" ]; then
+ autoload co... | bash |
d_bash_12579 | ---
+++
@@ -29,7 +29,7 @@
sudo $PIP install pyinstaller
sudo $PIP install pyyaml
sudo $PIP install python-daemon
-sudo $PIP install jsonschema
+sudo $PIP install jsonschema==2.6.0
sudo $PIP install pylint
sudo $PIP install pytest
type pyinstaller | bash |
d_bash_12580 | ---
+++
@@ -8,7 +8,11 @@
curl -XPOST -H "Content-Type: application/json" -d"{\"botName\":\"randy\", \"botCommunication\":{\"tag\":\"ExecutableBot\", \"contents\":\"$PWD/game-grid/randy.py\"}}" http://$HOST:8081/add-bot
-curl -XPOST http://$HOST:8081/launch-round-robin-tournament/10x10
+curl -XPOST -H "Content-Ty... | bash |
d_bash_12581 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
################################################################################
# symlink_dotfiles.sh
@@ -10,6 +10,13 @@
set -e # Terminate script if anything exits with a non-zero value
set -u # Prevent unset variables
+########################################... | bash |
d_bash_12582 | ---
+++
@@ -11,6 +11,7 @@
XSOCK=/tmp/.X11-unix
XAUTH=/tmp/.docker.xauth
+touch $XAUTH
xauth nlist $DISPLAY | sed -e 's/^..../ffff/' | xauth -f $XAUTH nmerge -
docker run \ | bash |
d_bash_12583 | ---
+++
@@ -16,7 +16,7 @@
GITBASE="develop"
else
# Get the reference, using the GitHub API
- GITBASE=`curl -q https://api.github.com/repos/matrix-org/synapse/pulls/${CIRCLE_PR_NUMBER} | jq -r '.base.ref'`
+ GITBASE=`wget -O- https://api.github.com/repos/matrix-org/synapse/pulls/${CIRCLE_PR_NUMBER} | ... | bash |
d_bash_12584 | ---
+++
@@ -4,7 +4,14 @@
etcdctl get /config/datadog/key 2>&1 > /dev/null
if [ $? -eq 0 ]; then
- /usr/bin/docker run --rm --privileged --name dd-agent -h `hostname` -v /var/run/docker.sock:/var/run/docker.sock -v /proc/mounts:/host/proc/mounts:ro -v /sys/fs/cgroup/:/host/sys/fs/cgroup:ro -e API_KEY=`etcdctl g... | bash |
d_bash_12585 | ---
+++
@@ -18,21 +18,9 @@
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $DIR/config.sh
-# Set DIST_DIR if given via command line
-if [[ ! $1 == "" ]]
-then
- if [[ ! -d $WORKING_DIR/$1 ]]
- then
- echo "$WORKING_DIR/$1 does not exist"
- exit 1
- fi
-
- DIST_DIR=$WORKING_DIR/$1/dist
-fi... | bash |
d_bash_12586 | ---
+++
@@ -1,4 +1,4 @@
-#/bin/bash
+#/bin/bash -E
echo "// File autogenerated, do not modify directly!" > phpstubstr.h
echo "typedef struct { const char * filename; const char * data; } pcbc_stub_data;" >> phpstubstr.h
echo "pcbc_stub_data PCBC_PHP_CODESTR[] = {" >> phpstubstr.h | bash |
d_bash_12587 | ---
+++
@@ -17,7 +17,7 @@
<server>
<id>github</id>
<username>${GITHUB_USER}</username>
- <password>${GITHUB_TOKEN}</username>
+ <password>${GITHUB_TOKEN}</password>
</server>
</servers>
</settings> | bash |
d_bash_12588 | ---
+++
@@ -11,6 +11,7 @@
# Git aliases
alias gs='git status --short'
alias gc='git commit'
+alias gac='git add --all && git commit'
alias gd='git diff'
alias gaa='git add --all'
alias gaad='git add --all --dry-run' | bash |
d_bash_12589 | ---
+++
@@ -9,3 +9,5 @@
apt-get -y install g++ # for libsass
apt-get -y install git # release.sh and commit process
apt-get -y install npm # for jstests
+apt-get -y install nodejs-legacy # for grunt, which calls `node` executable
+ # (which was renamed to `nodejs` in Debian/Ubu... | bash |
d_bash_12590 | ---
+++
@@ -31,4 +31,11 @@
##############################################################################
SCP_OPTIONS="-pq"
-RSYNC_OPTIONS="-qrulptz --delete"
+RSYNC_OPTIONS="-rulptz --delete"
+
+##############################################################################
+if [ -t 0 ]; then
+ RSYNC_OPTIONS="$R... | bash |
d_bash_12591 | ---
+++
@@ -7,5 +7,14 @@
sleep 1
done
-echo "RABBITMQ IS UP...starting"
+auto_start=${AUTO_START:-false}
+delay=${AUTO_START_DELAY:-0}
+if [ "$auto_start" == "true" ]; then
+ echo "RABBITMQ IS UP...starting"
+ sleep $delay
+ foreman start
+else
+ tail -f /dev/null
+fi
+
foreman start | bash |
d_bash_12592 | ---
+++
@@ -4,7 +4,7 @@
# Install nlopt from source since Ubuntu 12.04 does not provide debian package for nlopt
curl -o nlopt-2.4.1.tar.gz http://ab-initio.mit.edu/nlopt/nlopt-2.4.1.tar.gz
tar -xf nlopt-2.4.1.tar.gz
- (cd nlopt-2.4.1/; sh autogen.sh; make CXXFLAGS='-fPIC' && sudo make install)
+ (cd nlopt... | bash |
d_bash_12593 | ---
+++
@@ -32,7 +32,7 @@
install_launchd_daemon
# Write a version file so we can track which build this refers to
-cat << EOF > /etc/vmkite-info
+sudo tee /etc/vmkite-info << EOF
BUILDKITE_VERSION=$(buildkite-agent --version)
BUILDKITE_BUILD_NUMBER=$BUILDKITE_BUILD_NUMBER
BUILDKITE_BRANCH=$BUILDKITE_BRANCH | bash |
d_bash_12594 | ---
+++
@@ -7,7 +7,7 @@
#
# Run ./set-defaults.sh and you'll be good to go.
-# Disable press-and-hold for keys in favor of key repeat
+# Disable press-and-hold for keys in favor of key repeat.
defaults write -g ApplePressAndHoldEnabled -bool false
# Use AirDrop over every interface. srsly this should be a def... | bash |
d_bash_12595 | ---
+++
@@ -6,10 +6,22 @@
cd $1
fi
-# pkg-config usually requires GLIB, which requires pkg-config. Conjure a chicken
-# to lay you an egg like so.
+# pkg-config requires GLIB. This dependency is *completely* ridiculous. GLIB
+# consists of over 100,000 lines of C code, while pkg-config is only 3,000.
-./con... | bash |
d_bash_12596 | ---
+++
@@ -21,13 +21,17 @@
echo "Starting MongoDB v${MONGODB_VERSION}"
${MONGODB_DIR}/bin/mongod --nojournal --journalCommitInterval 500 \
--syncdelay 0 --dbpath ${DATA_DIR} --bind_ip 127.0.0.1 &> /tmp/mongodb.log &
-EXIT_CODE=$?
+MONGODB_PID=$!
+
+# Give process some time to start up
sleep 5
-if [ ${EXIT_... | bash |
d_bash_12597 | ---
+++
@@ -11,6 +11,7 @@
checkout_repository
build_report
copy_artifacts
+ copy_changelog
publish_changes
}
@@ -32,6 +33,10 @@
cp -R build/*.neon $repository/report
}
+copy_changelog() {
+ cp CHANGELOG.md $repository/changelog.md
+}
+
publish_changes() {
(
cd $repo... | bash |
d_bash_12598 | ---
+++
@@ -1,9 +1,5 @@
#!/bin/bash -ex
-PATCH_DIR=$(dirname `readlink -f $0`)
-. $PATCH_DIR/../../lib/patch
-PUPPET_PATH="/etc/puppet/2014.2.2-6.1/modules"
-
pushd $PUPPET_PATH
-find $PATCH_DIR -maxdepth 1 -mindepth 1 -type d \
+find $PATCH_DIR/puppet/ -maxdepth 1 -mindepth 1 -type d \
| xargs -I{} bash -c "p... | bash |
d_bash_12599 | ---
+++
@@ -10,6 +10,7 @@
-coverprofile=profile.out \
-covermode=count \
-coverpkg=./pkg/...,./web/... \
+ -timeout 2m \
"$d" \
2>&1 | grep -v 'warning: no packages being tested depend on github.com/cozy/cozy-stack'
res=$? | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.